nodejs安装node-gyp 报错
博客专区 > SKYCOBS 的博客 > 博客详情
nodejs安装node-gyp 报错
SKYCOBS 发表于2年前
nodejs安装node-gyp 报错
  • 发表于 2年前
  • 阅读 6825
  • 收藏 1
  • 点赞 1
  • 评论 0

腾讯云 十分钟定制你的第一个小程序>>>   

根据官网安装完相关的软件Python \VS\SDK 等

仍报错,如下显示

E:\git\fans\node_modules\bufferutil>if not defined npm_config_node_gyp (node "D:
\Program Files\nodejs\node_modules\npm\bin\node-gyp-bin\\..\..\node_modules\node
-gyp\bin\node-gyp.js" rebuild )  else (node  rebuild )
在此解决方案中一次生成一个项目。若要启用并行生成,请添加“/m”开关。
  bufferutil.cc
C:\Users\yi\.node-gyp\5.3.0\include\node\v8.h(336): error C2988: 不可识别的模板
声明/定义 [
E:\git\fans\node_modules\bufferutil\build\bufferutil.vcxproj]
C:\Users\yi\.node-gyp\5.3.0\include\node\v8.h(336): error C2059: 语法错误:“usin
g” [

只要执行下面代码就行,后面数字是你安装的vs的版本号
npm install --msvs_version=2013

如果之前有安装过nodejs就版本,有重新安装了新版本,把旧版本覆盖了。得把旧版本的全局代码库删掉,有可能报错

参考http://stackoverflow.com/questions/21562038/node-gyp-build-error-windows-x64

共有 人打赏支持
粉丝 7
博文 104
码字总数 18901
×
SKYCOBS
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: